<template>
  <div>
    <v-card style="height:130px;"
      class="defaultCardBackground">
      <ul class="sellerDetailListItem"
        style="padding-top:0px;">
        <li>
          <span class="detailLabel">
            Sold clothes
          </span>
          &nbsp;&nbsp;{{numberOfItemsSold}}
        </li>
        <li>
          <span class="detailLabel">
            Total income
          </span>
          &nbsp;&nbsp;{{totalIncome}}
        </li>
        <li>
          <span class="detailLabel">
            Total profit
          </span>
          &nbsp;&nbsp;{{totalProfit}}
        </li>
      </ul>
    </v-card>
    <v-card style="height:130px;margin-top:10px;"
      class="defaultCardBackground">
      <ul class="sellerDetailListItem"
        style="padding-top:0px;">
        <li>
          <span class="detailLabel">
            Left clothes
          </span>
          &nbsp;&nbsp;{{itemsLeft}}
        </li>
        <li>
          <span class="detailLabel">
            Expected income left
          </span>
          &nbsp;&nbsp;{{expectedIncome}}
        </li>
        <li>
          <span class="detailLabel">
            Total income
          </span>
          &nbsp;&nbsp;{{expectedIncome + totalIncome}}
        </li>
      </ul>
    </v-card>
  </div>
</template>
<script>
export default {
  name: 'ItemSalesSummary',
  props: ['itemSalesData'],
  computed: {
    itemInfo () {
      return this.$store.state.itemRegistrationModule.fullItemInformationObject
    },
    itemsLeft () {
      let numberOfItemsLeft = 0
      let itemBrandAndSizeList = this.$store.state.itemRegistrationModule.fullItemInformationObject.itemInfo
      itemBrandAndSizeList.forEach(element => {
        element.bransAndSize.forEach(sizesList => {
          sizesList.sizes.forEach(oneItem => {
            numberOfItemsLeft = numberOfItemsLeft + oneItem.number
          })
        })
      })
      return numberOfItemsLeft
    },
    expectedIncome () {
      let expectedIncome = 0
      let itemBrandAndSizeList = this.$store.state.itemRegistrationModule.fullItemInformationObject.itemInfo
      itemBrandAndSizeList.forEach(element => {
        element.bransAndSize.forEach(sizesList => {
          sizesList.sizes.forEach(oneItem => {
            expectedIncome = expectedIncome + (oneItem.price * oneItem.number)
          })
        })
      })
      return expectedIncome
    },
    numberOfItemsSold () {
      return this.itemSalesData.length
    },
    totalIncome () {
      let totalIncome = 0
      this.itemSalesData.forEach(element => {
        totalIncome = totalIncome + element.salesPrice
      })
      return totalIncome
    },
    totalProfit () {
      let totalIncome = 0
      let boughtPrice = 0
      this.itemSalesData.forEach(element => {
        boughtPrice = boughtPrice + element.expectedPrice
        totalIncome = totalIncome + element.salesPrice
      })
      return totalIncome - boughtPrice
    }
  }
}
</script>
